import App from './App'

// #ifndef VUE3
import Vue from 'vue'
Vue.config.productionTip = false
import uView from '@/uni_modules/uview-ui'
Vue.use(uView)
// uni.$u.config.unit = 'rpx'

import utils from './utils/common.js'
Vue.prototype.utils = utils;
import {setData} from './utils/common.js'
Vue.prototype.setData = setData;
import {formatSeconds}from './utils/tools.js'
Vue.prototype.$formatSeconds = formatSeconds;
import {isLoginCourse,isLoginCourseqw,isLoginCourseH5} from './utils/common.js'
import {isLoginCourseAuto} from './utils/courseTool.js'
Vue.prototype.$isLoginCourse = isLoginCourse
Vue.prototype.$isLoginCourseqw = isLoginCourseqw
Vue.prototype.$isLoginCourseAuto= isLoginCourseAuto
Vue.prototype.$isLoginCourseH5= isLoginCourseH5
import store from './router/router.js' // 确保路径正确
Vue.prototype.$store = store;
//import router from '@/router/router.js'  
//import {RouterMount} from 'uni-simple-router'

App.mpType = 'app'
const app = new Vue({
	store,
    ...App
})
//RouterMount(app,router,'#app')
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif